0

I have seen plenty of guides and questions but none is helping. the official website of tp-link provide drivers for kernel not later than 3.8 but i am using kernel version 4.10 and ubuntu 16.04. How can i install this. Or is it capable to run on latest version of ubuntu? Output of lsusb is

Bus 002 Device 003: ID 04f2:b34f Chicony Electronics Co., Ltd 
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 2357:010d  
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 003: ID 09da:054f A4Tech Co., Ltd. 
Bus 003 Device 002: ID 046d:c52f Logitech, Inc. Unifying Receiver
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

where my device is Bus 001 Device 004: ID 2357:010d

  • Please edit your question and add output of lsusb terminal command. – Pilot6 Aug 30 '17 at 14:30
  • i have seen this. this is for ac1200 – Ahmed Nawaz Khan Aug 30 '17 at 14:33
  • Hold on, I'll look into the code. – Pilot6 Aug 30 '17 at 14:34
  • This driver supports the AC1300 as well. – Pilot6 Aug 30 '17 at 14:36
  • please wait while i try – Ahmed Nawaz Khan Aug 30 '17 at 14:38